namespace InABox.Mobile
{
    public class BooleanToBooleanConverter: AbstractConverter<bool,bool>
    {
        
        public bool Invert { get; set; }

        protected override bool Convert(bool value, object? parameter = null)
        {
            return Invert ? !value : value; 
        }
    }
}